import { useState } from "react";
import { CollapsedAddTodo } from "@src/components/todos/collapsed/collapsedAddTodo";
import { AddTodoForm } from "@src/components/todos/collapsed/addTodoForm";
import { CollapsedState } from "@src/components/todos/collapsed/collapsedState";
import { useCreateTodo } from "@src/presentation/hooks/socketHooks";

export function AddTodo(props: { project: string }) {
  const { createTodo } = useCreateTodo();

  const [collapsed, setCollapsed] = useState<CollapsedState>(
    CollapsedState.collapsed
  );

  if (collapsed === CollapsedState.collapsed) {
    return (
      <CollapsedAddTodo
        onClick={() => setCollapsed(CollapsedState.notCollapsed)}
      />
    );
  }

  return (
    <AddTodoForm
      project={props.project}
      onAdd={(todoName, project) => {
        createTodo(todoName, project);
      }}
      onClose={() => setCollapsed(CollapsedState.collapsed)}
    />
  );
}
